<ul>
{% for e in page.talks %}{% assign comma = "" %}
<li><i>{{ e.title }}</i> - {{ e.speakers }}{% if e.slides.size > 0 or e.video %} ({%
  for name in e.slides %}{{ comma }}{% assign comma = ", " %}<a href="{{ name | attachment }}">{%
    if forloop.first %}slides{% endif %}{% if e.slides.size > 1 %} {{ forloop.index }}{% endif %}</a>{%
  endfor %}{% if e.video %}{{ comma }}<a href="{{ e.video }}">video</a>{% endif %}){% endif %}</li>
{% endfor %}
</ul>
